<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{


    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('site_preview_video', function (Blueprint $table) {
            $table->id()->key()->autoIncrement();
            $table->string('video_url');
            $table->string('preview_url');
            $table->tinyInteger('status')->default(0);
            $table->bigInteger('album_id');
            $table->string('remark');
            $table->timestamp('created_at', 0);
            $table->timestamp('updated_at', 0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('preview_video');
    }
};
